Parser
Date: 2017-03-29

com.thoughtworks.qdox.parser.impl

## Class Parser

- java.lang.Object
- - com.thoughtworks.qdox.parser.impl.Parser

-     public class Parser
      extends java.lang.Object

  Encapsulates yacc() parser functionality in a Java class for quick code development

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `ABSTRACT`
    `static short` | `AMPERSAND`
    `static short` | `AMPERSAND2`
    `static short` | `ANNOCHAR`
    `static short` | `ANNOINTERFACE`
    `static short` | `ANNOSTRING`
    `static short` | `AT`
    `static short` | `BOOLEAN`
    `static short` | `BOOLEAN_LITERAL`
    `static short` | `BRACECLOSE`
    `static short` | `BRACEOPEN`
    `static short` | `BYTE`
    `static short` | `CHAR`
    `static short` | `CHAR_LITERAL`
    `static short` | `CIRCUMFLEX`
    `static short` | `CLASS`
    `static short` | `CODEBLOCK`
    `static short` | `COLON`
    `static short` | `COMMA`
    `static short` | `DEFAULT`
    `static short` | `DOT`
    `static short` | `DOTDOTDOT`
    `static short` | `DOUBLE`
    `static short` | `DOUBLE_LITERAL`
    `static short` | `ENUM`
    `static short` | `EQUALS`
    `static short` | `EQUALS2`
    `static short` | `EXCLAMATION`
    `static short` | `EXTENDS`
    `static short` | `FINAL`
    `static short` | `FLOAT`
    `static short` | `FLOAT_LITERAL`
    `static short` | `GREATEREQUALS`
    `static short` | `GREATERTHAN`
    `static short` | `GREATERTHAN2`
    `static short` | `GREATERTHAN3`
    `static short` | `IDENTIFIER`
    `static short` | `IMPLEMENTS`
    `static short` | `IMPORT`
    `static short` | `INT`
    `static short` | `INTEGER_LITERAL`
    `static short` | `INTERFACE`
    `static short` | `JAVADOCEND`
    `static short` | `JAVADOCEOL`
    `static short` | `JAVADOCLINE`
    `static short` | `JAVADOCSTART`
    `static short` | `JAVADOCTAG`
    `static short` | `LESSEQUALS`
    `static short` | `LESSTHAN`
    `static short` | `LESSTHAN2`
    `static short` | `LONG`
    `static short` | `LONG_LITERAL`
    `static short` | `MINUS`
    `static short` | `NATIVE`
    `static short` | `NOTEQUALS`
    `static short` | `PACKAGE`
    `static short` | `PARENBLOCK`
    `static short` | `PARENCLOSE`
    `static short` | `PARENOPEN`
    `static short` | `PERCENT`
    `static short` | `PLUS`
    `static short` | `PRIVATE`
    `static short` | `PROTECTED`
    `static short` | `PUBLIC`
    `static short` | `QUERY`
    `static short` | `SEMI`
    `static short` | `SHORT`
    `static short` | `SLASH`
    `static short` | `SQUARECLOSE`
    `static short` | `SQUAREOPEN`
    `static short` | `STAR`
    `static short` | `STATIC`
    `static short` | `STRICTFP`
    `static short` | `STRING_LITERAL`
    `static short` | `SUPER`
    `static short` | `SYNCHRONIZED`
    `static short` | `THROWS`
    `static short` | `TILDE`
    `static short` | `TRANSIENT`
    `static short` | `VERTLINE`
    `static short` | `VERTLINE2`
    `static short` | `VOID`
    `static short` | `VOLATILE`
    `static short` | `YYERRCODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parser(Lexer lexer, Builder builder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `parse()` Parse file.
    `void` | `setDebugLexer(boolean debug)`
    `void` | `setDebugParser(boolean debug)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEMI

          public static final short SEMI

      See Also:
        Constant Field Values

    - #### DOT

          public static final short DOT

      See Also:
        Constant Field Values

    - #### DOTDOTDOT

          public static final short DOTDOTDOT

      See Also:
        Constant Field Values

    - #### COMMA

          public static final short COMMA

      See Also:
        Constant Field Values

    - #### STAR

          public static final short STAR

      See Also:
        Constant Field Values

    - #### PERCENT

          public static final short PERCENT

      See Also:
        Constant Field Values

    - #### EQUALS

          public static final short EQUALS

      See Also:
        Constant Field Values

    - #### ANNOSTRING

          public static final short ANNOSTRING

      See Also:
        Constant Field Values

    - #### ANNOCHAR

          public static final short ANNOCHAR

      See Also:
        Constant Field Values

    - #### SLASH

          public static final short SLASH

      See Also:
        Constant Field Values

    - #### PLUS

          public static final short PLUS

      See Also:
        Constant Field Values

    - #### MINUS

          public static final short MINUS

      See Also:
        Constant Field Values

    - #### PACKAGE

          public static final short PACKAGE

      See Also:
        Constant Field Values

    - #### IMPORT

          public static final short IMPORT

      See Also:
        Constant Field Values

    - #### PUBLIC

          public static final short PUBLIC

      See Also:
        Constant Field Values

    - #### PROTECTED

          public static final short PROTECTED

      See Also:
        Constant Field Values

    - #### PRIVATE

          public static final short PRIVATE

      See Also:
        Constant Field Values

    - #### STATIC

          public static final short STATIC

      See Also:
        Constant Field Values

    - #### FINAL

          public static final short FINAL

      See Also:
        Constant Field Values

    - #### ABSTRACT

          public static final short ABSTRACT

      See Also:
        Constant Field Values

    - #### NATIVE

          public static final short NATIVE

      See Also:
        Constant Field Values

    - #### STRICTFP

          public static final short STRICTFP

      See Also:
        Constant Field Values

    - #### SYNCHRONIZED

          public static final short SYNCHRONIZED

      See Also:
        Constant Field Values

    - #### TRANSIENT

          public static final short TRANSIENT

      See Also:
        Constant Field Values

    - #### VOLATILE

          public static final short VOLATILE

      See Also:
        Constant Field Values

    - #### CLASS

          public static final short CLASS

      See Also:
        Constant Field Values

    - #### INTERFACE

          public static final short INTERFACE

      See Also:
        Constant Field Values

    - #### ENUM

          public static final short ENUM

      See Also:
        Constant Field Values

    - #### ANNOINTERFACE

          public static final short ANNOINTERFACE

      See Also:
        Constant Field Values

    - #### THROWS

          public static final short THROWS

      See Also:
        Constant Field Values

    - #### EXTENDS

          public static final short EXTENDS

      See Also:
        Constant Field Values

    - #### IMPLEMENTS

          public static final short IMPLEMENTS

      See Also:
        Constant Field Values

    - #### SUPER

          public static final short SUPER

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final short DEFAULT

      See Also:
        Constant Field Values

    - #### BRACEOPEN

          public static final short BRACEOPEN

      See Also:
        Constant Field Values

    - #### BRACECLOSE

          public static final short BRACECLOSE

      See Also:
        Constant Field Values

    - #### SQUAREOPEN

          public static final short SQUAREOPEN

      See Also:
        Constant Field Values

    - #### SQUARECLOSE

          public static final short SQUARECLOSE

      See Also:
        Constant Field Values

    - #### PARENOPEN

          public static final short PARENOPEN

      See Also:
        Constant Field Values

    - #### PARENCLOSE

          public static final short PARENCLOSE

      See Also:
        Constant Field Values

    - #### LESSTHAN

          public static final short LESSTHAN

      See Also:
        Constant Field Values

    - #### GREATERTHAN

          public static final short GREATERTHAN

      See Also:
        Constant Field Values

    - #### LESSEQUALS

          public static final short LESSEQUALS

      See Also:
        Constant Field Values

    - #### GREATEREQUALS

          public static final short GREATEREQUALS

      See Also:
        Constant Field Values

    - #### LESSTHAN2

          public static final short LESSTHAN2

      See Also:
        Constant Field Values

    - #### GREATERTHAN2

          public static final short GREATERTHAN2

      See Also:
        Constant Field Values

    - #### GREATERTHAN3

          public static final short GREATERTHAN3

      See Also:
        Constant Field Values

    - #### EXCLAMATION

          public static final short EXCLAMATION

      See Also:
        Constant Field Values

    - #### AMPERSAND2

          public static final short AMPERSAND2

      See Also:
        Constant Field Values

    - #### VERTLINE2

          public static final short VERTLINE2

      See Also:
        Constant Field Values

    - #### EQUALS2

          public static final short EQUALS2

      See Also:
        Constant Field Values

    - #### NOTEQUALS

          public static final short NOTEQUALS

      See Also:
        Constant Field Values

    - #### TILDE

          public static final short TILDE

      See Also:
        Constant Field Values

    - #### AMPERSAND

          public static final short AMPERSAND

      See Also:
        Constant Field Values

    - #### VERTLINE

          public static final short VERTLINE

      See Also:
        Constant Field Values

    - #### CIRCUMFLEX

          public static final short CIRCUMFLEX

      See Also:
        Constant Field Values

    - #### VOID

          public static final short VOID

      See Also:
        Constant Field Values

    - #### QUERY

          public static final short QUERY

      See Also:
        Constant Field Values

    - #### COLON

          public static final short COLON

      See Also:
        Constant Field Values

    - #### AT

          public static final short AT

      See Also:
        Constant Field Values

    - #### JAVADOCSTART

          public static final short JAVADOCSTART

      See Also:
        Constant Field Values

    - #### JAVADOCEND

          public static final short JAVADOCEND

      See Also:
        Constant Field Values

    - #### JAVADOCEOL

          public static final short JAVADOCEOL

      See Also:
        Constant Field Values

    - #### CODEBLOCK

          public static final short CODEBLOCK

      See Also:
        Constant Field Values

    - #### PARENBLOCK

          public static final short PARENBLOCK

      See Also:
        Constant Field Values

    - #### BYTE

          public static final short BYTE

      See Also:
        Constant Field Values

    - #### SHORT

          public static final short SHORT

      See Also:
        Constant Field Values

    - #### INT

          public static final short INT

      See Also:
        Constant Field Values

    - #### LONG

          public static final short LONG

      See Also:
        Constant Field Values

    - #### CHAR

          public static final short CHAR

      See Also:
        Constant Field Values

    - #### FLOAT

          public static final short FLOAT

      See Also:
        Constant Field Values

    - #### DOUBLE

          public static final short DOUBLE

      See Also:
        Constant Field Values

    - #### BOOLEAN

          public static final short BOOLEAN

      See Also:
        Constant Field Values

    - #### IDENTIFIER

          public static final short IDENTIFIER

      See Also:
        Constant Field Values

    - #### JAVADOCTAG

          public static final short JAVADOCTAG

      See Also:
        Constant Field Values

    - #### JAVADOCLINE

          public static final short JAVADOCLINE

      See Also:
        Constant Field Values

    - #### BOOLEAN_LITERAL

          public static final short BOOLEAN_LITERAL

      See Also:
        Constant Field Values

    - #### INTEGER_LITERAL

          public static final short INTEGER_LITERAL

      See Also:
        Constant Field Values

    - #### LONG_LITERAL

          public static final short LONG_LITERAL

      See Also:
        Constant Field Values

    - #### FLOAT_LITERAL

          public static final short FLOAT_LITERAL

      See Also:
        Constant Field Values

    - #### DOUBLE_LITERAL

          public static final short DOUBLE_LITERAL

      See Also:
        Constant Field Values

    - #### CHAR_LITERAL

          public static final short CHAR_LITERAL

      See Also:
        Constant Field Values

    - #### STRING_LITERAL

          public static final short STRING_LITERAL

      See Also:
        Constant Field Values

    - #### YYERRCODE

          public static final short YYERRCODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Parser

          public Parser(Lexer lexer,
                Builder builder)

  - ### Method Detail

    - #### setDebugParser

          public void setDebugParser(boolean debug)

    - #### setDebugLexer

          public void setDebugLexer(boolean debug)

    - #### parse

          public boolean parse()

      Parse file. Return true if successful.